Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ares.impl
Class RunSetImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.amp.amf.testing.ares.impl.RunSetImpl

All Implemented Interfaces:
  RunSet, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class RunSetImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements RunSet

An implementation of the model object 'Run Set'.

The following features are implemented:

- `Result`
- `Started`
- `Finished`
- `Runs`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected java.util.Date` | `finished` The cached value of the '`Finished`' attribute.
`protected static java.util.Date` | `FINISHED_EDEFAULT` The default value of the '`Finished`' attribute.
`protected ResultType` | `result` The cached value of the '`Result`' attribute.
`protected static ResultType` | `RESULT_EDEFAULT` The default value of the '`Result`' attribute.
`protected org.eclipse.emf.common.util.EList<Run>` | `runs` The cached value of the '`Runs`' containment reference list.
`protected java.util.Date` | `started` The cached value of the '`Started`' attribute.
`protected static java.util.Date` | `STARTED_EDEFAULT` The default value of the '`Started`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `RunSetImpl()`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`java.util.Date` | `getFinished()`
`ResultType` | `getResult()`
`org.eclipse.emf.common.util.EList<Run>` | `getRuns()`
`java.util.Date` | `getStarted()`
`void` | `setFinished(java.util.Date newFinished)`
`void` | `setResult(ResultType newResult)`
`void` | `setStarted(java.util.Date newStarted)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### RESULT_EDEFAULT

    protected static final ResultType RESULT_EDEFAULT

  The default value of the '`Result`' attribute.

  See Also:
    `getResult()`

### result

    protected ResultType result

  The cached value of the '`Result`' attribute.

  See Also:
    `getResult()`

### STARTED_EDEFAULT

    protected static final java.util.Date STARTED_EDEFAULT

  The default value of the '`Started`' attribute.

  See Also:
    `getStarted()`

### started

    protected java.util.Date started

  The cached value of the '`Started`' attribute.

  See Also:
    `getStarted()`

### FINISHED_EDEFAULT

    protected static final java.util.Date FINISHED_EDEFAULT

  The default value of the '`Finished`' attribute.

  See Also:
    `getFinished()`

### finished

    protected java.util.Date finished

  The cached value of the '`Finished`' attribute.

  See Also:
    `getFinished()`

### runs

    protected org.eclipse.emf.common.util.EList<Run> runs

  The cached value of the '`Runs`' containment reference list.

  See Also:
    `getRuns()`

Constructor Detail

### RunSetImpl

    protected RunSetImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getResult

    public ResultType getResult()

  Specified by:
    `getResult` in interface `RunSet`
  Returns:
    the value of the 'Result' attribute.
  See Also:
    `ResultType`, `RunSet.setResult(ResultType)`, `AresPackage.getRunSet_Result()`

### setResult

    public void setResult(ResultType newResult)

  Specified by:
    `setResult` in interface `RunSet`
  Parameters:
    `newResult` - the new value of the 'Result' attribute.
  See Also:
    `ResultType`, `RunSet.getResult()`

### getStarted

    public java.util.Date getStarted()

  Specified by:
    `getStarted` in interface `RunSet`
  Returns:
    the value of the 'Started' attribute.
  See Also:
    `RunSet.setStarted(Date)`, `AresPackage.getRunSet_Started()`

### setStarted

    public void setStarted(java.util.Date newStarted)

  Specified by:
    `setStarted` in interface `RunSet`
  Parameters:
    `newStarted` - the new value of the 'Started' attribute.
  See Also:
    `RunSet.getStarted()`

### getFinished

    public java.util.Date getFinished()

  Specified by:
    `getFinished` in interface `RunSet`
  Returns:
    the value of the 'Finished' attribute.
  See Also:
    `RunSet.setFinished(Date)`, `AresPackage.getRunSet_Finished()`

### setFinished

    public void setFinished(java.util.Date newFinished)

  Specified by:
    `setFinished` in interface `RunSet`
  Parameters:
    `newFinished` - the new value of the 'Finished' attribute.
  See Also:
    `RunSet.getFinished()`

### getRuns

    public org.eclipse.emf.common.util.EList<Run> getRuns()

  Specified by:
    `getRuns` in interface `RunSet`
  Returns:
    the value of the 'Runs' containment reference list.
  See Also:
    `AresPackage.getRunSet_Runs()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD